<template>
  <aside class="container--aside">
    <ul>
      <li v-for="{ id, sectionName, total } in categories" :key="id">
        <span :class="{ 'black--color': mobile, 'container--aside--title': !mobile }">
          {{ sectionName }}
        </span>
        <span :class="{ 'text--white': !mobile, 'text--gray': mobile }"> ( {{ total }} ) </span>
      </li>
    </ul>
  </aside>
</template>

<script>
export default {
  name: 'AsideCategories',
  props: {
    mobile: {
      type: Boolean,
      default: false,
    },
    categories: {
      type: Array,
      default: () => [],
    },
  },
  methods: {
    resolveCategorieClass() {
      return;
    },
  },
};
</script>

<style lang="sass" scoped>
@import '@/assets/sass/sizes.sass'
@import '@/assets/sass/colors.sass'
li
  text-align: left
  font-size: $sm-size
  cursor: pointer
  padding: .4rem 0
  .black--color
    text-decoration: underline
    text-decoration-color: $secondary
    color: $secondary
  .text--white
    color: $white
    text-decoration: none
    text-decoration-color: none
    padding-left: .6rem
  .text--gray
    color: $gray-ligth
    text-decoration: none
    text-decoration-color: none
    padding-left: .6rem
  .container--aside--title
    color: $primary-ligth
</style>
